/*
 * grunt-webpcss
 * https://github.com/lexich/grunt-webpcss
 *
 * Copyright (c) 2014 Efremov Alexey
 * Licensed under the MIT license.
 */

"use strict";

module.exports = function(grunt) {
  // Project configuration.
  grunt.initConfig({
    // Before generating any new files, remove any previously-created files.
    clean: {
      tests: ["tmp"]
    },

    // Configuration to be run (and then tested).
    webpcss: {
      default_options: {
        options: {
        },
        files: {
          "tmp/default_options.css": ["test/fixtures/testing.css"]
        }
      },
      custom_options: {
        options: {
          baseClass:".webp1",
          replace_to:".webp"
        },
        files: {
          "tmp/custom_options.css": ["test/fixtures/testing.css"]
        }
      }
    },

    // Unit tests.
    nodeunit: {
      tests: ["test/*_test.js"]
    }
  });

  // Actually load this plugin"s task(s).
  grunt.loadTasks("tasks");

  // These plugins provide necessary tasks.
  grunt.loadNpmTasks("grunt-contrib-clean");
  grunt.loadNpmTasks("grunt-contrib-nodeunit");

  // Whenever the "test" task is run, first clean the "tmp" dir, then run this
  // plugin"s task(s), then test the result.
  grunt.registerTask("test", ["clean", "webpcss", "nodeunit", "clean"]);

  // By default, lint and run all tests.
  grunt.registerTask("default", ["test"]);
};
